Commit e4feb2cd authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

It compiles fine without deprecated method

parent 06d55de8
......@@ -8,10 +8,10 @@ set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIO
project(ktuberling VERSION ${KDE_APPLICATIONS_VERSION})
set (QT_MIN_VERSION "5.3.0")
set (QT_MIN_VERSION "5.11.0")
set (KF5_MIN_VERSION "5.55.0")
find_package(ECM 1.7.0 REQUIRED CONFIG)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS PrintSupport Svg Widgets Xml Multimedia)
......@@ -47,6 +47,9 @@ ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KTUBERLING VERSION
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
add_subdirectory(sounds)
add_subdirectory(pics)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment